// pages/onlinePost/onlinePost.js
const app = getApp()
const host = app.globalData.host;
Page({

  /**
   * 页面的初始数据
   */
  data: {
    step:1
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    this.init()
    wx.request({
      url: host + '/api/wx/sujectitem',
      success: res => {
        // let list = res.data.data.filter(item => item.name == options.name)
        console.log(res.data.data,"列表")
        this.setData({
          list: res.data.data
        })
      }
    })
  },
  init: function () {
    const query = wx.createSelectorQuery()
    const that = this
    query.select('#editor').context(function (res) {
      res.context.setContents({
        html: `<p style="text-align: center; line-height: normal;"><strong><span style="font-size: 20px;">特种作业人员操作证办理办事指南</span></strong><span style="font-size: 20px;"><br/></span></p><p style="line-height: normal;"><strong><span style="font-size: 20px;">一、特种作业操作证的办理</span></strong><span style="font-size: 20px;"><br/><strong>办理所需条件：</strong><br/>1、年满18周岁，且不超过国家法定退休年龄；</span></p><p style="line-height: normal;"><span style="font-size: 20px;">2、无妨碍从事相应特种作业的器质性心脏病、癫痫病、美尼尔氏症、眩晕症、癔病、震颤麻痹症、精神病、痴呆症以及其他疾病和生理缺陷；</span></p><p style="line-height: normal;"><span style="font-size: 20px;">3、具有初中及以上文化程度；<br/>4、具备必要的安全技术知识与技能；<br/>5、相应特种作业规定的其他条件；<br/>6、按规定接受培训、考核合格。<br/>危险化学品特种作业人员除符合前款第1项、第2项、第4项和第5项规定的条件外，应当具备高中或者相当于高中及以上文化程度。<br/></span></p><p style="line-height: normal;"><strong><span style="font-size: 20px;">办理需提交资料：</span></strong></p><p><span style="font-size: 20px;">特种作业（新办、复审、换证）办证所需资料：（可通过在线报名系统按照提示拍照提交相关资料，不用再向培训机构提交纸质资料）</span></p><p><strong><span style="font-size: 20px;">二、安全合格证的办理：</span></strong></p><p style="line-height: normal;"><strong><span style="font-size: 20px;">办事规程：</span></strong></p><p style="line-height: normal;"><span style="font-size: 20px;">申请人参加由国家、省、市应急管理部门审定的安全生产培训考核单位举办的安全生产培训班的学习培训、考核。</span></p><p style="line-height: normal;"><strong><span style="font-size: 20px;">办理需提交资料：</span></strong></p><p style="line-height: normal;"><span style="font-size: 20px;">安全培训合格证（新办、复审、换证）办证所需资料：（可通过在线报名系统按照提示拍照提交相关资料，不用再向培训机构提交纸质资料）</span><span style="font-size: 20px;"><br/></span></p><p style="line-height: normal;"><strong><span style="font-size: 20px;">备注（在线报名流程）：</span></strong><span style="font-size: 20px;">在线报名成功后＞管理员审核提交的资料＞学员缴纳相关费用＞开具发票给学员＞学员在线模拟练题＞通知学员培训＞通知学员考试＞考试通过领证</span></p><p><br/></p><p><br/></p>`
      })
    })
      .exec()
  },
  next:function(){
    this.setData({
      step:2
    })
  },
  gotoForm:function(e){
    console.log(e)
    let id = e.currentTarget.dataset.id, name = e.currentTarget.dataset.name
    wx.navigateTo({
      url: '../post/post?type=1&&s_id='+id+'&&s_name='+name,
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})